# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:58:49 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	RexxParse
Summary:	String::RexxParse - Perl implementation of REXX parse command
Summary(pl):	String::RexxParse - perlowa implementacja polecenia analizujcego REXX
Name:		perl-String-RexxParse
Version:	1.08
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Some long-time REXX programmers switching to Perl find it difficult
to give up REXX's template-based parsing abilities.  This module is my
attempt to provide such parsing in Perl.  Consider it BETA level code.
The documentation assumes a familiarity with REXX parse statements.

%description -l pl
Niektrzy dowiadczeni programici REXX-a przerzucajcy si na Perla
uznali za trudne porzucenie REXX-owych moliwoci analizy opartej na
wzorcach. Ten modu jest prb udostpnienia takiej analizy w Perlu.
Kod jest na etapie BETA. Dokumentacja zakada znajomo wyrae
analizujcych REXX-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-RexxParse.spec,v $
Revision 1.4.2.1  2003/03/13 00:58:49  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:27  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
